$(function() {
  $('.module-area [data-toggle=buttons-checkbox]').find('input[type="checkbox"]').each(function() {
    $(this).prop('checked') ? $(this).siblings('input[type="hidden"]').val(1) : $(this).siblings('input[type="hidden"]').val(0);
  });
  $('.module-area').delegate('input[type="checkbox"]', clickEvent, function(event) {
    $(this).prop('checked') ? $(this).siblings('input[type="hidden"]').val(1) : $(this).siblings('input[type="hidden"]').val(0);
  });
});